<script>
import { isAndroid } from '@/service/validation.service';
export default {
  data() {
    return {
      tips: '加载中...',
      downloadsUrl: 'https://n-channel.longloan.cn/#/down'
    };
  },
  computed: {
    xcScheme() {
      return isAndroid ? 'app://xincheng/splash' : 'xincheng://';
    }
  },
  created() {
    window.location.href = this.xcScheme;
    setTimeout(() => {
      window.location.href = this.downloadsUrl;
    }, 1);
  },
  render() {
    return <div class="tips">{this.tips}</div>;
  }
};
</script>
<style lang="less" scoped>
.tips {
  font-size: 14px;
  text-align: center;
  margin-top: 240px;
  color: #666;
}
</style>
